Skip to main content
POST
Send or verify a recovery code

Query Parameters

flow
string
required

Flow identifier returned by the matching create-flow endpoint. Submit/update requests must use the same flow id.

Body

application/json

self-service flow update payload. Pass the flow id in the query string and include the fields required by the selected method.

Payload used to request a recovery code for the email address on an recovery flow.

method
enum<string>
required

Recovery method. Use code for email code recovery.

Available options:
code
email
string<email>
required

Email address that should receive the recovery code.

Response

Recovery flow updated. A passed challenge can return session_token directly or continue_with instructions that include set_session_token.

Updated recovery flow response. Successful verification can include session_token or continue_with instructions.

id
string

Flow id. Use this value as the flow query parameter when submitting or updating the flow.

type
string

Flow type returned by the system, for example browser or api.

expires_at
string<date-time>

Timestamp when the flow expires. Submit the flow before this time.

issued_at
string<date-time>

Timestamp when created the flow.

ui
object

UI payload containing action URL, method, nodes, messages, and CSRF node when required.

state
string

Current flow state, such as choose_method, sent_email, passed_challenge, or success.

request_url
string

Original request URL used to create the flow.

organization_id
string | null

organization id for organization-scoped flows, when supplied.

created_at
string<date-time>

Flow creation timestamp.

updated_at
string<date-time>

Flow update timestamp.

refresh
boolean

Whether the flow is a refresh flow.

requested_aal
string

Requested authenticator assurance level for the flow.

identity
any

Identity attached to settings flows when the system includes it.

session_token
string

Session token returned after successful recovery verification, when issued directly.

continue_with
object[]

Follow-up actions returned by the system, such as set_session_token instructions.